Subject: Re: file descriptors opened as text files
From: Jean Delvare <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 15 Feb 2001 18:12:55 +0100 (MET)

Whaou, DJ Delorie writing to me :)

> The best way to make this portable is to do this:
> 
> #include <fcntl.h>
> #ifndef O_BINARY
> #define O_BINARY 0
> #endif

Of course it is. And of course it is what I did :)
I'm not complaining for myself anymore, now I know how to handle the
problem. But I thing there is something terribly weird there, and I
believe it will cause unrequired problem to many developpers. Am I really
the first one to complain about this here ?

Arguments follow.

Thanks anyway :)

-- 
       /~~       Jean "Khali" Delvare
  -----\_                        mail: [email-masked]
 --------\                http://www.ensicaen.ismra.fr/~delvare/
---=ISMRA/- ____________________________________________________

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple